package com.cab.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.cab.model.zxbUserModel;

public interface zxbUserMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(zxbUserModel record);

    int insertSelective(zxbUserModel record);

    zxbUserModel selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(zxbUserModel record);

    int updateByPrimaryKey(zxbUserModel record);
    
    /**
     * 
     * @Description：根据用户名查询登录用户信息
     * @author: zhuoHeng
     * @version: 2016年5月11日 下午4:00:48
     */
    zxbUserModel selectByUserName(String userName);
    
    int getCount(@Param("record") zxbUserModel record);
    
    int updateDeleteFlag(Integer id);
    
    int editPsw(@Param("id") Integer id,@Param("newPsw") String newPsw);
}